<script>
    import routes from "../routes";
    import Router from "svelte-spa-router";
    import {loggedIn} from "../stores";
    function logOut() {
        loggedIn.set(false);
        sessionStorage.clear();
    }
</script>
<nav>
    <a href="/#/order">Book new car</a>
    <a href="/#/history">Order history</a>
    <a href="/#/userdetails">User details</a>
    <a href="/" on:click={logOut}>Logout</a>
</nav>

<Router {routes} />

<style>
    nav {
        display: flex;
        flex-direction: row;
        justify-items: flex-end;
    }
    nav > a {
        padding: 10px;
    }
</style>